enemy = {}
function enemy.load()
	screenWidth = love.graphics.getWidth()
	enemy.width = 25
	enemy.height = 25
	enemy.friction = 10
	enemy.speed = 50
	enemy.xvel = 0
	enemy.yvel = 0
	enemy.timer = 0
	enemy.timerLim = math.random(1,2)
	enemy.spawnX = math.random(0, screenWidth - enemy.width)

	enemy.spawned = {}

	enemyR = {}
	enemyR[1] = love.graphics.newImage("images/enemy1.png")
	enemyR[2] = love.graphics.newImage("images/enemy2.png")

	enemy.animtimer = 0
	enemy.pic = enemyR[1]
	enemy.pnum = 1
end
--
function enemy.spawn(x,y)
	table.insert(enemy.spawned, {x = x, y = y, xvel = enemy.xvel, yvel = enemy.yvel,width = enemy.width, height = enemy.height})
end
--
function enemy.spawningHandler(dt)
	enemy.timer = enemy.timer + dt
	if enemy.timer > enemy.timerLim then
		enemy.spawn(enemy.spawnX, -enemy.height)
		enemy.timer = 0
		enemy.timerLim = math.random(1,2)
		enemy.spawnX = math.random(0,screenWidth - enemy.width)
	end
end
--
function enemy.draw()
	for i,v in ipairs(enemy.spawned) do
		love.graphics.setColor(255,255,255)
		love.graphics.draw(enemy.pic,v.x,v.y)
	end
end
--
function enemy.physics(dt)
	for i,v in ipairs(enemy.spawned) do
	    v.x = v.x + v.xvel * dt
	    v.y = v.y + v.yvel * dt
	    v.xvel = v.xvel * (1 - math.min(dt*enemy.friction, 1))
	    v.yvel = v.yvel * (1 - math.min(dt*enemy.friction, 1))
    end
end
--
function enemy.move(dt)
	for i,v in ipairs(enemy.spawned) do
		v.y = v.y + enemy.speed * dt
		enemy.pic = enemyR[enemy.pnum]
		enemy.animtimer = enemy.animtimer + dt
		if enemy.animtimer > 0.1 then
			enemy.pnum = enemy.pnum + 1
			enemy.animtimer = 0
		end
		if enemy.pnum > 2 then
			enemy.pnum = 1
		end
	end
end
--
function enemy.collide(dt)
	for i,v in ipairs(enemy.spawned) do
		if v.y > screenHeight then
			player.points = player.points - 5
			table.remove(enemy.spawned, i)
		end

		if v.x + v.width > player.x and
		    v.x < player.x + player.width and
		    v.y + v.height > player.y and
		    v.y < player.y + player.height then
		    player.health = player.health - 1
			table.remove(enemy.spawned, i)
		end
	end
end


--PARENT FUNCTIONS

function DRAW_ENEMY()
	enemy.draw()
end
--
function UPDATE_ENEMY(dt)
	enemy.physics(dt)
	enemy.move(dt)
	enemy.collide(dt)
	enemy.spawningHandler(dt)
end