weapon = {}
bullet = {}
canon = {}
function weapon.load()

	--STAGE 0
	bullet.width = 5
	bullet.height = 10
	bullet.speed = 250
	bullet.pic = love.graphics.newImage("images/bullet1.png")
	bullet.spawned = {}

	--STAGE 1
	canon.width = 5
	canon.height = 10
	canon.speed = 400
	canon.round = 0
	canon.pic = love.graphics.newImage("images/bullet1.png")
	canon.spawned = {}
end
--
function bullet.spawn(x,y,dir)
	table.insert(bullet.spawned, {x = x, y = y, dir = dir})
end
--
function canon.spawn(x,y,dir)
	table.insert(canon.spawned, {x = x, y = y, dir = dir})
end
--
function bullet.draw()
	for i,v in ipairs(bullet.spawned) do
	    love.graphics.setColor(255,255,255)
	    love.graphics.draw(bullet.pic,v.x,v.y)
	end
end
--
function canon.draw()
	for i,v in ipairs(canon.spawned) do
		love.graphics.setColor(255,255,255)
		love.graphics.draw(canon.pic,v.x,v.y)
	end
end
--
function bullet.rem(dt)
	for i,v in ipairs(bullet.spawned) do
		if v.y + bullet.height < 0 then
			table.remove(bullet.spawned, i)
		end
	end
end
--
function canon.rem(dt)
	for i,v in ipairs(canon.spawned) do
		if v.y + canon.height < 0 then
			table.remove(canon.spawned, i)
		end
	end
end
--
function bullet.move(dt)
	for i,v in ipairs(bullet.spawned) do
		if v.dir == 'up' then
			v.y = v.y - bullet.speed * dt
		end
	end
end
--
function canon.move(dt)
	for i,v in ipairs(canon.spawned) do
		if v.dir == 'up' then
			v.y = v.y - canon.speed * dt
		end
	end
end
--
function bullet.hit(dt)
	for i,v in ipairs(enemy.spawned) do
		for ia,va in ipairs(bullet.spawned) do
			if v.x + enemy.width > va.x and
	    	    v.x < va.x + bullet.width and
			    v.y + enemy.height > va.y and
			    v.y < va.y + bullet.height then
			    player.points = player.points + 1
			    table.remove(enemy.spawned, i)
			    table.remove(bullet.spawned, ia)
			end
		end
	end
end
--
function canon.hit(dt)
	for i,v in ipairs(enemy.spawned) do
		for ia, va in ipairs(canon.spawned) do
			if v.x + enemy.width > va.x and
				v.x < va.x + bullet.width and
				v.y + enemy.height > va.y and
				v.y < va.y + canon.height then
				player.points = player.points + 1
				table.remove(enemy.spawned, i)
				table.remove(canon.spawned, i)
			end
		end
	end
end


--PARENT FUNCTIONS

function DRAW_WEAPON()
	bullet.draw()
	canon.draw()
end

function UPDATE_WEAPON(dt)
	bullet.move(dt)
	canon.move(dt)
	bullet.rem(dt)
	canon.rem(dt)
	bullet.hit(dt)
	canon.hit(dt)
end